package me.wazup.hideandseek.commands.admin;

import org.bukkit.entity.Player;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class EditModeCommand extends SubCommand
{
    public EditModeCommand() {
        super("hideandseek.editmode", false, (String)null);
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        final Player player = (Player)commandSender;
        if (hideAndSeek.editmode.contains(player.getName())) {
            hideAndSeek.editmode.remove(player.getName());
            player.sendMessage(customization.prefix + "You have left edit mode!");
        }
        else {
            hideAndSeek.editmode.add(player.getName());
            player.sendMessage(customization.prefix + "You have entered edit mode!");
        }
        return true;
    }
}
